<?php
// This file is part of the achievement plugin for Moodle
// This plugin is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This plugin is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this plugin.  If not, see <http://www.gnu.org/licenses/>.


/**
 *
 * @package achievement
 * @copyright 2012 Andil
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

/*
 * Block
 */
$string['blockname'] = 'Achievement';
$string['pluginname'] = 'Achievement';
$string['block_achievement'] = 'My Achievements';
$string['no_achievement'] = 'None';
$string['fulllistofachievements'] = 'See achievement list';

/*
 * Detail
 */
$string['modulename'] = 'Achievement';
$string['errornorecords'] = 'No records';
$string['tablehead_title'] = 'Achievement';
$string['tablehead_desc'] = 'Description';
$string['tablehead_date'] = 'Date';
$string['tablehead_accomplishmentpercent'] = '%% obtain';
$string['tabledatedefault'] = '-';

/*
 * achievement title
 */

/*
 * Login
 */
$string['login'] = "{\$a}th login";
$string['login_desc'] = "This is your {\$a}th login.";
//Overrides
$string['login_1'] = 'First login';
$string['login_1_desc'] = 'Welcome! This is your first login.';
/*
 * Update avatar
 */
$string['update_avatar'] = 'Add avatar';
$string['update_avatar_desc'] = 'You have uploaded an avatar, hence customizing your profile.';
/*
 * Update profile
 */
$string['update_profile'] = 'Profile edition';
$string['update_profile_desc'] = 'You have edited your profile.';

/*
 * forum view
 */
$string['forum_view'] = "{\$a}th forum view";
$string['forum_view_desc'] = "This was your {\$a}th visit to the forums.";
//overrides 
$string['forum_view_1'] = 'First forum view';
$string['forum_view_1_desc'] = 'This was your first visit to the forums.';

/*
 * forum post
 */
 $string['forum_post'] = "{\$a}th forum post";
$string['forum_post_desc'] = "This was your {\$a}th message on the forums.";
//overrides
$string['forum_post_1'] = 'First post';
$string['forum_post_1_desc'] = 'This was your first participation to the forums.';

/*
 * blog view
 */
$string['blog_view'] = "{\$a}th blog read";
$string['blog_view_desc'] = "You have viewed an user\'s blog for the {\$a}th time.";
//overrides
$string['blog_view_1'] = 'First blog read';
$string['blog_view_1_desc'] = 'You have viewed an user\'s blog for the first time.';

/*
 * blog add
 */
$string['blog_add'] = "{\$a}th Blog post written";
$string['blog_add_desc'] = "You have written your {\$a}th article in your blog.";
//overrides
$string['blog_add_1'] = 'First blog post written';
$string['blog_add_1_desc'] = 'You have written your first article in your blog.';

/*
 * PM sent
 */
$string['pm_sent'] = "{\$a}th PM sent";
$string['pm_sent_desc'] = "You have sent your {\$a}th PM to another user.";
//override
$string['pm_sent_1'] = 'First PM sent';
$string['pm_sent_1_desc'] = "You have sent your first PM to another user.";

/*
 * PM received
 */
$string['pm_received'] = "{\$a}th PM received";
$string['pm_received_desc'] = "You have received your {\$a}th PM from another user.";
//override
$string['pm_received_1'] = 'First PM received';
$string['pm_received_1_desc'] = 'You have received your first PM from another user.';

/*
 * Chat
 */
$string['chat_talk'] = "{\$a}th chat";
$string['chat_talk_desc'] = "This was your {\$a}th talk on a chat";
//Overrides
$string['chat_talk_1'] = 'First chat';
$string['chat_talk_1_desc'] = 'This was your first talk on a chat.';

/*
 * BBB
 */
$string['bbb_join'] = '{\$a}th BBB';
$string['bbb_join_desc'] = "This was your {\$a}th participation to a BigBlueButton activity.";
//Overrides
$string['bbb_join_1'] = 'First time on BBB';
$string['bbb_join_1_desc'] = 'You have taken part in your first BigBlueButton activity.';

/*
 * Resource distinct
 */
$string['resource_distinct_view'] = "{\$a} distinct resources view";
$string['resource_distinct_view_desc'] = "You viewed {\$a} distinct resources.";

/*
 * Resource
 */
$string['resource_view'] = "{\$a} resources viewed";
$string['resource_view_desc'] = "You viewed a total of {\$a} resources.";
//Overrides
$string['resource_view_1'] = 'First resource viewed';
$string['resource_view_1_desc'] = 'You viewed your first resource.';

/*
 * Assignment distinct
 */
$string['assignment_distinct_view'] = "{\$a} distinct assignments view";
$string['assignment_distinct_view_desc'] = "You viewed {\$a} distinct assignments.";
/*
 * Assignment
 */
$string['assignment_view'] = "{\$a} assignments viewed";
$string['assignment_view_desc'] = "You viewed a total of {\$a} assignments.";
//Overrides
$string['assignment_view_1'] = 'First assignment viewed';
$string['assignment_view_1_desc'] = 'You viewed your first assignment.';

/*
 * setting
 */
$string['settings_nbachievementinblock'] = 'Achievement in block';
$string['settings_nbachievementinblock_desc'] = 'Set achievement to display in block';
$string['settings_enablejsnotification'] = 'JavaScript Notification';
$string['settings_enablejsnotification_desc'] = 'Enable/Disable JavaScript notification';

/*
 * tabs
 */
$string['maintab'] = 'Global progression';
$string['personaltab'] = 'My Achievements';

$string['done'] = 'Done';
$string['todo'] = 'Todo';

/*
 * Other
 */
$string['seeprogression'] = 'See progression';
$string['global_progression_intro'] = 'Global users\' progression';
